Skip to main content
GET
/
api
/
identity
/
merge-suggestions
List identity merge suggestions
curl --request GET \
  --url https://app.outlit.ai/api/identity/merge-suggestions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.outlit.ai/api/identity/merge-suggestions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.outlit.ai/api/identity/merge-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "commandId": "<string>",
  "commandVersion": 123,
  "correlationId": "<string>",
  "result": {
    "operationId": "<string>",
    "status": "<string>",
    "resources": [
      {
        "type": "<string>",
        "id": "<string>"
      }
    ],
    "data": {
      "suggestions": [
        {
          "id": "<string>",
          "survivor": {
            "id": "<string>",
            "name": "<string>",
            "domain": "<string>",
            "identifierCount": 1,
            "contactCount": 1
          },
          "duplicate": {
            "id": "<string>",
            "name": "<string>",
            "domain": "<string>",
            "identifierCount": 1,
            "contactCount": 1
          },
          "reviewNotes": "<string>",
          "reviewedAt": "2023-11-07T05:31:56Z",
          "reviewedByName": "<string>",
          "appliedAt": "2023-11-07T05:31:56Z",
          "appliedByName": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "explanation": [
            "<string>"
          ],
          "impact": {
            "identifiers": 1,
            "users": 1,
            "activities": 1,
            "visitors": 1,
            "billingEvents": 1,
            "facts": 1,
            "supportTickets": 1,
            "calls": 1,
            "accessEntries": 1,
            "analyticsEvents": 1,
            "analyticsDimensions": 1
          },
          "latestJob": {
            "id": "<string>",
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z"
          },
          "canMerge": true,
          "canReject": true
        }
      ],
      "canManageIdentityMerges": true
    },
    "warnings": [
      "<string>"
    ],
    "auditId": "<string>"
  }
}
{
"error": "Invalid credentials"
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Query Parameters

status
enum<string>
Available options:
suggested,
processing,
merged,
rejected
confidence
enum<string>
Available options:
HIGH,
MEDIUM,
LOW
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Identity merge suggestions were returned.

ok
boolean
required
commandId
string
required
Allowed value: "identity.mergeSuggestion.list"
commandVersion
integer
required
correlationId
string
required
result
object
required